Uploaded image for project: 'Nutch'
  1. Nutch
  2. NUTCH-2739

indexer-elastic: Upgrade ES and migrate to REST client

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Implemented
    • Affects Version/s: 1.15
    • Fix Version/s: 1.17
    • Component/s: indexer, plugin
    • Labels:
      None

      Description

      The indexer-elastic plugin is based on 5.3.0 and should be upgraded to the most recent Elasticsearch version (7.3.0 or upwards).

      TransportClient has been deprecated in ES 7.x and will be removed in 8.x. We should migrate to using the REST client and also check whether this would obsolete the indexer-elastic-rest plugin.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                snagel Sebastian Nagel
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: